Apache JMeter

## org.apache.jmeter.protocol.http.proxy
Class SamplerCreatorFactory

    java.lang.Object
      org.apache.jmeter.protocol.http.proxy.SamplerCreatorFactory

    public class SamplerCreatorFactory

extends Object

`SamplerCreator` factory

Constructor Summary
`SamplerCreatorFactory()`

Method Summary
`SamplerCreator` `getSamplerCreator(HttpRequestHdr request, Map<String,String> pageEncodings, Map<String,String> formEncodings)` Gets `SamplerCreator` for content type, if none is found returns `DefaultSamplerCreator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SamplerCreatorFactory

    public SamplerCreatorFactory()

Method Detail

### getSamplerCreator

    public SamplerCreator getSamplerCreator(HttpRequestHdr request,
                                            Map<String,String> pageEncodings,
                                            Map<String,String> formEncodings)

  Gets `SamplerCreator` for content type, if none is found returns `DefaultSamplerCreator`

  Parameters:
    `request` - `HttpRequestHdr`
    `pageEncodings` - Map<String, String> pageEncodings
    `formEncodings` - Map<String, String> formEncodings
  Returns:
    SamplerCreator

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.